# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "recipe-parser"
version = "0.2.1"
description = "Write recipes in a human readable and machine parseable language"
homepage = "https://github.com/reciperium/recipe-lang"
readme = "README.md"
keywords = [
    "recipes",
    "cooking",
    "markup-language",
    "recipe-lang",
]
categories = [
    "command-line-interface",
    "parser-implementations",
]
license = "MIT"
repository = "https://github.com/reciperium/recipe-lang"
resolver = "1"

[lib]
path = "src/lib.rs"

[dependencies.nom]
version = "7.1.3"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dev-dependencies.rstest]
version = "0.17.0"

[dev-dependencies.serde_json]
version = "1.0"
